Groovy 1.7.0

## groovy.model
Class ClosureModel

    java.lang.Object
      groovy.model.ClosureModel

All Implemented Interfaces:
  ValueModel

    class ClosureModel
    extends Object

Represents a value model using a closure to extract the value from some source model and an optional write closure for updating the value.

author:
  James Strachan

version:
  $Revision: 7922 $

Constructor Summary
`ClosureModel(ValueModel sourceModel, Closure readClosure)`
`ClosureModel(ValueModel sourceModel, Closure readClosure, Closure writeClosure)`
`ClosureModel(ValueModel sourceModel, Closure readClosure, Closure writeClosure, Class type)`

Method Summary
`ValueModel` | `getSourceModel()`
`Class` | `getType()`
`Object` | `getValue()`
`boolean` | `isEditable()`
`void` | `setValue(Object value)`

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Constructor Detail

### ClosureModel

    public ClosureModel(ValueModel sourceModel, Closure readClosure)

### ClosureModel

    public ClosureModel(ValueModel sourceModel, Closure readClosure, Closure writeClosure)

### ClosureModel

    public ClosureModel(ValueModel sourceModel, Closure readClosure, Closure writeClosure, Class type)

Method Detail

### getSourceModel

    public ValueModel getSourceModel()

### getType

    public Class getType()

### getValue

    public Object getValue()

### isEditable

    public boolean isEditable()

### setValue

    public void setValue(Object value)

Copyright © 2003-2009 The Codehaus. All rights reserved.